# Functor MoreLabels.Hashtbl.Make

    module Make: functor (H : HashedType) -> S
        with type key = H.t
         and type 'a t = 'a Hashtbl.Make(H).t

Parameters:

`H` | : | `HashedType`

    type key

    type 'a t

    val create : int -> 'a t

    val clear : 'a t -> unit

    val reset : 'a t -> unit

    val copy : 'a t -> 'a t

    val add : 'a t -> key:key -> data:'a -> unit

    val remove : 'a t -> key -> unit

    val find : 'a t -> key -> 'a

    val find_opt : 'a t -> key -> 'a option

    val find_all : 'a t -> key -> 'a list

    val replace : 'a t -> key:key -> data:'a -> unit

    val mem : 'a t -> key -> bool

    val iter : f:(key:key -> data:'a -> unit) ->
           'a t -> unit

    val filter_map_inplace : f:(key:key -> data:'a -> 'a option) ->
           'a t -> unit

    val fold : f:(key:key -> data:'a -> 'b -> 'b) ->
           'a t -> init:'b -> 'b

    val length : 'a t -> int

    val stats : 'a t -> MoreLabels.Hashtbl.statistics

    val to_seq : 'a t -> (key * 'a) Seq.t

    val to_seq_keys : 'a t -> key Seq.t

    val to_seq_values : 'a t -> 'a Seq.t

    val add_seq : 'a t ->
           (key * 'a) Seq.t -> unit

    val replace_seq : 'a t ->
           (key * 'a) Seq.t -> unit

    val of_seq : (key * 'a) Seq.t -> 'a t